/*!
  *@file main.cpp
  *@author 蔡火胜 caihuosheng@gmail.com
  *@brief 这是程序的主函数。
  */

/*!
  *@todo KDE4在退出时，如果这个程序没退出，则KDE4下次启动时会再次启动这个程序，并且在后面带上一个参数“ -session ....”，后面的....是一长串字母。这样的话这个程序本身就有可能会被KDE4启动多次。做些处理，当KDE4退出时，这个程序自己也退出。或者说，在关机时，这个程序自己也退出。
  */

//utf-8 encoding.

//蔡火胜，为了保证每天晚上21点去跑步而写了这个程序，强制关机。
//7527,2008.10.17,19:50。

#include "SbPreCompile.h" //QFileDialog


#include "ShutDownAt2100.h" //主窗口。

/*!
  *@brief 主函数。
  *@param argc 命令行参数的个数。
  *@param argv 命令行参数列表。
  */
int main(int argc,char * argv[])
{
    cout << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", redirected: " << endl; //Debug.
    
	QApplication TheApplication(argc,argv); //程序。
    ShutDownAt2100 TheWindow; //窗口。

    cout << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", redirected: " << endl; //Debug.
	//特意不显示主窗口。
    cout << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", redirected: " << endl; //Debug.

	TheWindow.Init(); //主窗口进行初始化。
    cout << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", redirected: " << endl; //Debug.
	TheApplication.setQuitOnLastWindowClosed(false); //窗口关闭时不退出。
    cout << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", redirected: " << endl; //Debug.
	TheApplication.exec();

    cout << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", redirected: " << endl; //Debug.
    return 0;
} //int main(int argc,char * argv[])
